<?php

/**
 * Scheme
 *
 * defined Customizer default values
 */
const emulsion_theme_scheme = array(
	'default'			 => array(
		'background_color'								 => '#ffffff',
		'emulsion_header_gradient'						 => 'disable',
		'emulsion_header_background_color'				 => '#eeeeee',
		'emulsion_header_sub_background_color'			 => '#efefef',
		'emulsion_category_colors'						 => 'disable',
		'emulsion_sidebar_background'					 => '#ffffff',
		'emulsion_primary_menu_background'				 => '#ffffff',
		'emulsion_relate_posts_bg'						 => '#eeeeee',
		'emulsion_comments_bg'							 => '#eeeeee',
		'emulsion_bg_image_text'						 => 'current',
		'emulsion_bg_image_blend_color'					 => '#000000',
		'emulsion_bg_image_blend_color_amount'			 => 0,
		'emulsion_background_css_pattern'				 => 'none',
		'emulsion_general_link_color'					 => '#666666',
		'emulsion_general_link_hover_color'				 => '#333333',
		'emulsion_general_text_color'					 => '#333333',
		'emulsion_common_font_size'						 => 16,
		'emulsion_common_font_family'					 => 'sans-serif',
		'emulsion_common_google_font_url'				 => '',
		'emulsion_heading_font_family'					 => 'serif',
		'emulsion_heading_font_weight'					 => '700',
		'emulsion_heading_font_base'					 => '16',
		'emulsion_heading_font_scale'					 => 'xxx',
		'emulsion_heading_font_transform'				 => 'uppercase',
		'emulsion_heading_google_font_url'				 => '',
		'emulsion_widget_meta_font_size'				 => 13,
		'emulsion_widget_meta_font_family'				 => 'sans-serif',
		'emulsion_widget_meta_font_transform'			 => 'none',
		'emulsion_widget_meta_google_font_url'			 => '',
		'emulsion_widget_meta_title'					 => false,
		'emulsion_header_layout'						 => 'custom',
		'emulsion_header_html'							 => '',
		'emulsion_title_in_header'						 => 'yes',
		'emulsion_header_media_max_height'				 => 75,
		'emulsion_sidebar_position'						 => 'right',
		'emulsion_sidebar_width'						 => 400,
		'emulsion_condition_display_posts_sidebar'		 => 'allways',
		'emulsion_condition_display_page_sidebar'		 => 'allways',
		'emulsion_main_width'							 => 1280,
		'emulsion_content_width'						 => 720,
		'emulsion_content_margin_top'					 => 0,
		'emulsion_layout_homepage'						 => 'excerpt',
		'emulsion_layout_homepage_post_image'			 => 'show',
		'emulsion_layout_posts_page'					 => 'excerpt',
		'emulsion_layout_posts_page_post_image'			 => 'show',
		'emulsion_layout_date_archives'					 => 'grid',
		'emulsion_layout_date_archives_post_image'		 => 'show',
		'emulsion_layout_category_archives'				 => 'stream',
		'emulsion_layout_category_archives_post_image'	 => 'show',
		'emulsion_layout_tag_archives'					 => 'stream',
		'emulsion_layout_tag_archives_post_image'		 => 'show',
		'emulsion_layout_author_archives'				 => 'stream',
		'emulsion_layout_author_archives_post_image'	 => 'show',
		'emulsion_layout_search_results'				 => 'highlight',
		'emulsion_layout_search_results_post_image'		 => 'hide',
		'emulsion_footer_credit'						 => '',
		'emulsion_footer_columns'						 => 3,
		'emulsion_reset_theme_settings'					 => 'continue',
		'emulsion_excerpt_length'						 => 256,
		'emulsion_excerpt_linebreak'					 => 'none',
		'emulsion_excerpt_length_grid'					 => 4,
		'emulsion_excerpt_length_stream'				 => 2,
		'emulsion_table_of_contents'					 => 'enable',
		'emulsion_tooltip'								 => 'enable',
		'emulsion_sticky_sidebar'						 => 'enable',
		'emulsion_lazyload'								 => 'disable',
		'emulsion_instantclick'							 => 'enable',
		'emulsion_search_drawer'						 => 'enable',
		'emulsion_relate_posts'							 => 'enable',
		'emulsion_customizer_preview_redirect'			 => 'enable',
		'emulsion_single_post_navigation'				 => 'enable',
		'emulsion_alignfull'							 => 'enable',
		'emulsion_box_gap'								 => 3,
		'emulsion_block_gallery_section_height'			 => 0,
		'emulsion_block_gallery_section_bg'				 => '#ffffff',
		'emulsion_block_columns_section_height'			 => 0,
		'emulsion_block_columns_section_bg'				 => '#ffffff',
		'emulsion_block_media_text_section_height'		 => 0,
		'emulsion_block_media_text_section_bg'			 => '#ffffff',
		'emulsion_colors_for_editor'					 => 'enable',
		'emulsion_favorite_color_palette'				 => '#fafafa',
		'emulsion_post_display_date'					 => 'inherit',
		'emulsion_post_display_date_format'				 => 'default',
		'emulsion_post_display_author'					 => 'inherit',
		'emulsion_post_display_author_format'			 => 'text',
		'emulsion_post_display_category'				 => 'inherit',
		'emulsion_post_display_tag'						 => 'inherit',
		'emulsion_border_global'						 => '#bcbcbc',
		'emulsion_border_global_style'					 => 'solid',
		'emulsion_border_global_width'					 => 1,
		'emulsion_border_sidebar'						 => '#bcbcbc',
		'emulsion_border_sidebar_style'					 => 'solid',
		'emulsion_border_sidebar_width'					 => 1,
		'emulsion_border_grid'							 => '#bcbcbc',
		'emulsion_border_grid_style'					 => 'solid',
		'emulsion_border_grid_width'					 => 1,
		'emulsion_border_stream'						 => '#bcbcbc',
		'emulsion_border_stream_style'					 => 'solid',
		'emulsion_border_stream_width'					 => 1,
		'emulsion_google_analytics_tracking_code'		 => '',
	),
	'full-size-header'	 => array(
		'emulsion_header_media_max_height'	 => 100,
		'emulsion_common_google_font_url'	 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@400&display=swap',
		'emulsion_heading_google_font_url'	 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@300&display=swap',
	),
	'midnight'			 => array(
		'background_color'								 => '#1b262c',
		'emulsion_header_gradient'						 => 'enable',
		'emulsion_header_background_color'				 => '#0c3c5d',
		'emulsion_header_sub_background_color'			 => '#092d46',
		'emulsion_category_colors'						 => 'disable',
		'emulsion_sidebar_background'					 => '#0c3c5d',
		'emulsion_primary_menu_background'				 => '#000000',
		'emulsion_relate_posts_bg'						 => '#092d46',
		'emulsion_comments_bg'							 => '#0c3c5d',
		'emulsion_bg_image_text'						 => 'current', //no
		'emulsion_bg_image_blend_color'					 => '#000000',
		'emulsion_bg_image_blend_color_amount'			 => 0,
		'emulsion_background_css_pattern'				 => 'none',
		'emulsion_general_link_color'					 => '#aaaaaa',
		'emulsion_general_link_hover_color'				 => '#ff0000',
		'emulsion_general_text_color'					 => '#ffffff',
		'emulsion_common_font_size'						 => 18,
		'emulsion_common_font_family'					 => 'sans-serif',
		'emulsion_common_google_font_url'				 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@400&display=swap',
		'emulsion_heading_font_family'					 => 'sans-serif',
		'emulsion_heading_font_weight'					 => '700',
		'emulsion_heading_font_base'					 => 16,
		'emulsion_heading_font_scale'					 => 'xxx',
		'emulsion_heading_font_transform'				 => 'uppercase',
		'emulsion_heading_google_font_url'				 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@300&display=swap',
		'emulsion_widget_meta_font_size'				 => 13,
		'emulsion_widget_meta_font_family'				 => 'serif',
		'emulsion_widget_meta_font_transform'			 => 'uppercase',
		'emulsion_widget_meta_google_font_url'			 => '',
		'emulsion_widget_meta_title'					 => false,
		'emulsion_header_layout'						 => 'custom',
		'emulsion_header_html'							 => '',
		'emulsion_title_in_header'						 => 'yes',
		'emulsion_header_media_max_height'				 => 75,
		'emulsion_sidebar_position'						 => 'right',
		'emulsion_sidebar_width'						 => 400,
		'emulsion_condition_display_posts_sidebar'		 => 'allways', //no
		'emulsion_condition_display_page_sidebar'		 => 'allways', //no
		'emulsion_main_width'							 => 1280,
		'emulsion_content_width'						 => 720,
		'emulsion_content_margin_top'					 => 0,
		'emulsion_layout_homepage'						 => 'excerpt',
		'emulsion_layout_homepage_post_image'			 => 'show',
		'emulsion_layout_posts_page'					 => 'excerpt',
		'emulsion_layout_posts_page_post_image'			 => 'show',
		'emulsion_layout_date_archives'					 => 'grid',
		'emulsion_layout_date_archives_post_image'		 => 'show',
		'emulsion_layout_category_archives'				 => 'grid',
		'emulsion_layout_category_archives_post_image'	 => 'hide',
		'emulsion_layout_tag_archives'					 => 'stream',
		'emulsion_layout_tag_archives_post_image'		 => 'show',
		'emulsion_layout_author_archives'				 => 'stream',
		'emulsion_layout_author_archives_post_image'	 => 'show',
		'emulsion_layout_search_results'				 => 'highlight', //no
		'emulsion_layout_search_results_post_image'		 => 'hide', //no
		'emulsion_footer_credit'						 => '',
		'emulsion_footer_columns'						 => 3,
		'emulsion_reset_theme_settings'					 => 'continue',
		'emulsion_excerpt_length'						 => 256,
		'emulsion_excerpt_linebreak'					 => 'none',
		'emulsion_excerpt_length_grid'					 => 6, //no
		'emulsion_excerpt_length_stream'				 => 4, //no
		'emulsion_table_of_contents'					 => 'enable',
		'emulsion_tooltip'								 => 'disable',
		'emulsion_sticky_sidebar'						 => 'enable',
		'emulsion_lazyload'								 => 'disable',
		'emulsion_instantclick'							 => 'enable',
		'emulsion_search_drawer'						 => 'enable',
		'emulsion_relate_posts'							 => 'enabled',
		'emulsion_customizer_preview_redirect'			 => 'enable',
		'emulsion_single_post_navigation'				 => 'enable',
		'emulsion_alignfull'							 => 'enable',
		'emulsion_box_gap'								 => 3,
		'emulsion_block_gallery_section_height'			 => 0,
		'emulsion_block_gallery_section_bg'				 => '#ffffffc',
		'emulsion_block_columns_section_height'			 => 0,
		'emulsion_block_columns_section_bg'				 => '#ffffff',
		'emulsion_block_media_text_section_height'		 => 0,
		'emulsion_block_media_text_section_bg'			 => '#ffffff',
		'emulsion_colors_for_editor'					 => 'enable',
		'emulsion_favorite_color_palette'				 => '#fafafa',
		'emulsion_post_display_date'					 => 'inherit',
		'emulsion_post_display_date_format'				 => 'ago',
		'emulsion_post_display_author'					 => 'inherit',
		'emulsion_post_display_author_format'			 => 'text',
		'emulsion_post_display_category'				 => 'inherit',
		'emulsion_post_display_tag'						 => 'inherit',
		'emulsion_border_global'						 => '#333333',
		'emulsion_border_sidebar'						 => '#555555',
		'emulsion_border_grid'							 => '#336699',
		'emulsion_border_stream'						 => '#333333',
	),
	'daybreak'			 => array(
		'background_color'						 => '#f8f8ff',
		'emulsion_header_gradient'				 => 'enable',
		'emulsion_header_background_color'		 => '#82ccdd',
		'emulsion_header_sub_background_color'	 => '#f8c291',
		'emulsion_category_colors'				 => 'disable',
		'emulsion_sidebar_background'			 => '#faf7e5',
		'emulsion_primary_menu_background'		 => '#f6f0d0',
		'emulsion_relate_posts_bg'				 => '#092d46',
		'emulsion_comments_bg'					 => '#0c3c5d',
		'emulsion_bg_image_text'				 => 'current', //no
		'emulsion_bg_image_blend_color'			 => '#000000',
		'emulsion_general_link_color'			 => '#666666',
		'emulsion_general_link_hover_color'		 => '#333333',
		'emulsion_general_text_color'			 => '#333333',
		'emulsion_common_font_size'				 => 18,
		'emulsion_common_font_family'			 => 'sans-serif',
		'emulsion_common_google_font_url'		 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@400&display=swap',
		'emulsion_heading_font_family'			 => 'sans-serif',
		'emulsion_heading_font_weight'			 => '700',
		'emulsion_heading_font_base'			 => 16,
		'emulsion_heading_font_scale'			 => 'xxx',
		'emulsion_heading_font_transform'		 => 'uppercase',
		'emulsion_heading_google_font_url'		 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@300&display=swap',
		'emulsion_widget_meta_font_size'		 => 13,
		'emulsion_widget_meta_font_family'		 => 'sans-serif',
		'emulsion_widget_meta_font_transform'	 => 'uppercase',
		'emulsion_widget_meta_google_font_url'	 => '',
		'emulsion_header_layout'				 => 'simple',
		'emulsion_layout_homepage_post_image'	 => 'show',
	),
	'bloging'			 => array(
		'emulsion_header_gradient'						 => 'enable',
		'emulsion_header_background_color'				 => '#ffffff',
		'emulsion_header_sub_background_color'			 => '#ffffff',
		'emulsion_category_colors'						 => 'disable',
		'emulsion_sidebar_background'					 => '#ffffff',
		'emulsion_primary_menu_background'				 => '#ffffff',
		'emulsion_relate_posts_bg'						 => '#eeeeee',
		'emulsion_general_link_color'					 => '#333333',
		'emulsion_general_link_hover_color'				 => '#666666',
		'emulsion_general_text_color'					 => '#000000',
		'emulsion_common_font_size'						 => 20,
		'emulsion_common_font_family'					 => 'sans-serif',
		'emulsion_common_google_font_url'				 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@400&display=swap',
		'emulsion_heading_font_family'					 => 'sans-serif',
		'emulsion_heading_font_weight'					 => '400',
		'emulsion_heading_font_base'					 => 32,
		'emulsion_heading_font_scale'					 => 'xxx',
		'emulsion_heading_font_transform'				 => 'uppercase',
		'emulsion_heading_google_font_url'				 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@300&display=swap',
		'emulsion_widget_meta_font_size'				 => 16,
		'emulsion_widget_meta_font_family'				 => 'sans-serif',
		'emulsion_widget_meta_font_transform'			 => 'uppercase',
		'emulsion_widget_meta_google_font_url'			 => '',
		'emulsion_widget_meta_title'					 => false,
		'emulsion_header_layout'						 => 'simple',
		'emulsion_title_in_header'						 => 'yes',
		'emulsion_sidebar_position'						 => 'right',
		'emulsion_sidebar_width'						 => 400,
		'emulsion_condition_display_posts_sidebar'		 => 'allways',
		'emulsion_condition_display_page_sidebar'		 => 'allways',
		'emulsion_main_width'							 => 960,
		'emulsion_content_width'						 => 720,
		'emulsion_content_margin_top'					 => 0,
		'emulsion_layout_homepage'						 => 'excerpt',
		'emulsion_layout_homepage_post_image'			 => 'hide',
		'emulsion_layout_posts_page'					 => 'excerpt',
		'emulsion_layout_posts_page_post_image'			 => 'hide',
		'emulsion_layout_date_archives'					 => 'excerot',
		'emulsion_layout_date_archives_post_image'		 => 'hide',
		'emulsion_layout_category_archives'				 => 'excerpt',
		'emulsion_layout_category_archives_post_image'	 => 'hide',
		'emulsion_layout_tag_archives'					 => 'excerpt',
		'emulsion_layout_tag_archives_post_image'		 => 'hide',
		'emulsion_layout_author_archives'				 => 'excerpt',
		'emulsion_layout_author_archives_post_image'	 => 'hide',
		'emulsion_layout_search_results'				 => 'highlight', //no
		'emulsion_layout_search_results_post_image'		 => 'hide', //no
		'emulsion_footer_credit'						 => '',
		'emulsion_excerpt_length'						 => 124,
		'emulsion_excerpt_linebreak'					 => 'none',
		'emulsion_table_of_contents'					 => 'enable',
		'emulsion_relate_posts'							 => 'enabled',
		'emulsion_single_post_navigation'				 => 'enable',
		'emulsion_alignfull'							 => 'diable',
		'emulsion_box_gap'								 => 3,
		'emulsion_colors_for_editor'					 => 'enable',
		'emulsion_favorite_color_palette'				 => '#fafafa',
		'emulsion_post_display_date'					 => 'inherit',
		'emulsion_post_display_date_format'				 => 'ago',
		'emulsion_post_display_author'					 => 'inherit',
		'emulsion_post_display_author_format'			 => 'block',
		'emulsion_post_display_category'				 => 'inherit',
		'emulsion_post_display_tag'						 => 'inherit',
	),
	'grid'				 => array(
		'emulsion_header_background_color'				 => '#eeeeee',
		'emulsion_header_sub_background_color'			 => '#eeeeee',
		'emulsion_relate_posts_bg'						 => '#eeeeee',
		'emulsion_comments_bg'							 => '#eeeeee',
		'emulsion_general_link_color'					 => '#666666',
		'emulsion_general_link_hover_color'				 => '#333333',
		'emulsion_general_text_color'					 => '#333333',
		'emulsion_common_font_size'						 => 16,
		'emulsion_common_font_family'					 => 'sans-serif',
		'emulsion_common_google_font_url'				 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@400&display=swap',
		'emulsion_heading_google_font_url'				 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@300&display=swap',
		'emulsion_widget_meta_font_size'				 => 13,
		'emulsion_widget_meta_font_family'				 => 'sans-serif',
		'emulsion_widget_meta_font_transform'			 => 'none',
		'emulsion_header_layout'						 => 'custom',
		'emulsion_main_width'							 => 1280,
		'emulsion_content_width'						 => 720,
		'emulsion_content_margin_top'					 => 0,
		'emulsion_layout_homepage'						 => 'grid',
		'emulsion_layout_homepage_post_image'			 => 'show',
		'emulsion_layout_posts_page'					 => 'grid',
		'emulsion_layout_posts_page_post_image'			 => 'show',
		'emulsion_layout_date_archives'					 => 'grid',
		'emulsion_layout_date_archives_post_image'		 => 'show',
		'emulsion_layout_category_archives'				 => 'grid',
		'emulsion_layout_category_archives_post_image'	 => 'show',
		'emulsion_layout_tag_archives'					 => 'grid',
		'emulsion_layout_tag_archives_post_image'		 => 'show',
		'emulsion_layout_author_archives'				 => 'grid',
		'emulsion_layout_author_archives_post_image'	 => 'show',
	),
	'stream'			 => array(
		'emulsion_header_background_color'				 => '#eeeeee',
		'emulsion_header_sub_background_color'			 => '#eeeeee',
		'emulsion_relate_posts_bg'						 => '#eeeeee',
		'emulsion_comments_bg'							 => '#eeeeee',
		'emulsion_general_link_color'					 => '#666666',
		'emulsion_general_link_hover_color'				 => '#333333',
		'emulsion_general_text_color'					 => '#333333',
		'emulsion_common_font_size'						 => 16,
		'emulsion_common_font_family'					 => 'sans-serif',
		'emulsion_common_google_font_url'				 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@400&display=swap',
		'emulsion_heading_google_font_url'				 => 'https://fonts.googleapis.com/css2?family=Raleway:wght@300&display=swap',
		'emulsion_widget_meta_font_size'				 => 13,
		'emulsion_widget_meta_font_family'				 => 'sans-serif',
		'emulsion_widget_meta_font_transform'			 => 'none',
		'emulsion_header_layout'						 => 'custom',
		'emulsion_main_width'							 => 1280,
		'emulsion_content_width'						 => 720,
		'emulsion_content_margin_top'					 => 0,
		'emulsion_layout_homepage'						 => 'stream',
		'emulsion_layout_homepage_post_image'			 => 'show',
		'emulsion_layout_posts_page'					 => 'stream',
		'emulsion_layout_posts_page_post_image'			 => 'show',
		'emulsion_layout_date_archives'					 => 'stream',
		'emulsion_layout_date_archives_post_image'		 => 'show',
		'emulsion_layout_category_archives'				 => 'stream',
		'emulsion_layout_category_archives_post_image'	 => 'show',
		'emulsion_layout_tag_archives'					 => 'stream',
		'emulsion_layout_tag_archives_post_image'		 => 'show',
		'emulsion_layout_author_archives'				 => 'stream',
		'emulsion_layout_author_archives_post_image'	 => 'show',
	),
	'boilerplate' => array(
		'emulsion_layout_homepage_post_image'			 => 'hide',
		'emulsion_layout_posts_page_post_image'			 => 'hide',
		'emulsion_layout_date_archives_post_image'		 => 'hide',
		'emulsion_layout_category_archives_post_image'	 => 'hide',
		'emulsion_layout_tag_archives_post_image'		 => 'hide',
		'emulsion_layout_author_archives_post_image'	 => 'hide',
		'emulsion_layout_search_results_post_image'		 => 'hide',
	),
);

add_filter( 'theme_mod_background_color', 'emulsion_background_color_filter' );

function emulsion_background_color_filter( $color ) {

	if ( function_exists( 'emulsion_the_theme_supports' ) && ! emulsion_the_theme_supports( 'scheme' ) ) {

		return $color;
	}

	if( 'ffffff' !== $color && function_exists( 'emulsion_get_var' ) ) {

		return $color;
	}

	if ( ! empty( $scheme = get_theme_mod( 'emulsion_scheme' ) ) ) {

		$result = ! empty( emulsion_theme_scheme[$scheme]['background_color'] )
				? emulsion_theme_scheme[$scheme]['background_color']
				: 'ffffff';

		return ltrim( $result, '#' );
	}

	return $color;
}



add_filter( 'theme_mod_emulsion_header_background_color', 'emulsion_header_background_color_filter' );

function emulsion_header_background_color_filter( $color ) {

	if (  ! emulsion_the_theme_supports( 'scheme' ) ) {

		return $color;
	}

	if ( ! empty( $scheme = get_theme_mod( 'emulsion_scheme' ) ) && empty( $color ) ) {

		$result = ! empty( emulsion_theme_scheme[$scheme]['emulsion_header_background_color'] )
				? emulsion_theme_scheme[$scheme]['emulsion_header_background_color']
				: '#eeeeee';

		return get_theme_mod( 'emulsion_header_background_color', $result );
	}

	return $color;
}

add_filter( 'theme_mod_emulsion_sidebar_background', 'emulsion_sidebar_background_filter' );

function emulsion_sidebar_background_filter( $color ) {

	if ( ! emulsion_the_theme_supports( 'scheme' ) ) {

		return $color;
	}

	if ( ! empty( $scheme = get_theme_mod( 'emulsion_scheme' ) ) && empty( $color ) ) {

		$result = ! empty( emulsion_theme_scheme[$scheme]['emulsion_sidebar_background'] )
				? emulsion_theme_scheme[$scheme]['emulsion_sidebar_background']
				: '#ffffff';

		return get_theme_mod( 'emulsion_sidebar_background', $result );
	}

	return $color;
}

add_filter( 'theme_mod_emulsion_relate_posts_bg', 'emulsion_relate_posts_bg_filter' );

function emulsion_relate_posts_bg_filter( $color ) {

	if ( function_exists( 'emulsion_the_theme_supports' ) && ! emulsion_the_theme_supports( 'scheme' ) ) {

		return $color;
	}

	if ( ! empty( $scheme = get_theme_mod( 'emulsion_scheme' ) ) && empty( $color ) ) {

		$result = ! empty( emulsion_theme_scheme[$scheme]['emulsion_relate_posts_bg'] )
				? emulsion_theme_scheme[$scheme]['emulsion_relate_posts_bg']
				: '#eeeeee';

		return get_theme_mod( 'emulsion_relate_posts_bg', $result );
	}

	return $color;
}

add_filter( 'theme_mod_emulsion_comments_bg', 'emulsion_comments_bg_filter' );

function emulsion_comments_bg_filter( $color ) {

	if ( function_exists( 'emulsion_the_theme_supports' ) && ! emulsion_the_theme_supports( 'scheme' ) ) {

		return $color;
	}

	if ( ! empty( $scheme = get_theme_mod( 'emulsion_scheme' ) ) && empty( $color ) ) {

		$result = ! empty( emulsion_theme_scheme[$scheme]['emulsion_comments_bg'] )
				? emulsion_theme_scheme[$scheme]['emulsion_comments_bg']
				: '#eeeeee';

		return get_theme_mod( 'emulsion_comments_bg', $result );
	}

	return $color;
}

add_filter( 'theme_mod_emulsion_border_global', 'emulsion_border_global_filter' );

function emulsion_border_global_filter( $color ) {

	if ( function_exists( 'emulsion_get_var' ) ) {

		return $color;
	}
	if ( function_exists( 'emulsion_the_theme_supports' ) && ! emulsion_the_theme_supports( 'scheme' ) ) {

		return $color;
	}

	if ( ! empty( $scheme = get_theme_mod( 'emulsion_scheme' ) ) && empty( $color ) ) {

		$result = ! empty( emulsion_theme_scheme[$scheme]['emulsion_border_global'] ) ? emulsion_theme_scheme[$scheme]['emulsion_border_global'] : '#eeeeee';

		return get_theme_mod( 'emulsion_border_global', $result );
	}

	return $color;
}

add_filter( 'theme_mod_emulsion_border_sidebar', 'emulsion_border_sidebar_filter' );

function emulsion_border_sidebar_filter( $color ) {

	if ( function_exists( 'emulsion_get_var' ) ) {

		return $color;
	}
	if ( function_exists( 'emulsion_the_theme_supports' ) && ! emulsion_the_theme_supports( 'scheme' ) ) {

		return $color;
	}

	if ( ! empty( $scheme = get_theme_mod( 'emulsion_scheme' ) ) && empty( $color ) ) {

		$result = ! empty( emulsion_theme_scheme[$scheme]['emulsion_border_sidebar'] ) ? emulsion_theme_scheme[$scheme]['emulsion_border_sidebar'] : '#eeeeee';

		return get_theme_mod( 'emulsion_border_sidebar', $result );
	}

	return $color;
}

add_filter( 'theme_mod_emulsion_border_grid', 'emulsion_border_grid_filter' );

function emulsion_border_grid_filter( $color ) {

	if ( function_exists( 'emulsion_get_var' ) ) {

		return $color;
	}
	if ( function_exists( 'emulsion_the_theme_supports' ) && ! emulsion_the_theme_supports( 'scheme' ) ) {

		return $color;
	}

	if ( ! empty( $scheme = get_theme_mod( 'emulsion_scheme' ) ) && empty( $color ) ) {

		$result = ! empty( emulsion_theme_scheme[$scheme]['emulsion_border_grid'] ) ? emulsion_theme_scheme[$scheme]['emulsion_border_grid'] : '#eeeeee';

		return $result;
	}

	return $color;
}

add_filter( 'theme_mod_emulsion_border_stream', 'emulsion_border_stream_filter' );

function emulsion_border_stream_filter( $color ) {

	if ( function_exists( 'emulsion_get_var' ) ) {

		return $color;
	}
	if ( function_exists( 'emulsion_the_theme_supports' ) && ! emulsion_the_theme_supports( 'scheme' ) ) {

		return $color;
	}

	if ( ! empty( $scheme = get_theme_mod( 'emulsion_scheme' ) ) && empty( $color ) ) {

		$result = ! empty( emulsion_theme_scheme[$scheme]['emulsion_border_stream'] ) ? emulsion_theme_scheme[$scheme]['emulsion_border_stream'] : '#eeeeee';

		return $result;
	}

	return $color;
}

add_filter( 'theme_mod_emulsion_primary_menu_background', 'emulsion_primary_menu_background_filter' );

function emulsion_primary_menu_background_filter( $color ) {

	if ( function_exists( 'emulsion_get_var' ) ) {

		return $color;
	}
	if ( function_exists( 'emulsion_the_theme_supports' ) && ! emulsion_the_theme_supports( 'scheme' ) ) {

		return $color;
	}

	if ( ! empty( $scheme = get_theme_mod( 'emulsion_scheme' ) ) && empty( $color ) ) {

		$result = ! empty( emulsion_theme_scheme[$scheme]['emulsion_primary_menu_background'] ) ? emulsion_theme_scheme[$scheme]['emulsion_primary_menu_background'] : '#ffffff';

		return $result;
	}

	return $color;
}

if ( 'daybreak' == get_theme_mod( 'emulsion_scheme' ) ||
	 'bloging' == get_theme_mod( 'emulsion_scheme' ) ||
	 'boilerplate' == get_theme_mod( 'emulsion_scheme' ) ) {

	add_filter('theme_mod_emulsion_title_in_header', 'emulsion_scheme_daybreak_filter');

	function emulsion_scheme_daybreak_filter( $val ) {

		return 'no';
	}
}

if ( 'boilerplate' == get_theme_mod( 'emulsion_scheme' ) ) {

	add_filter( 'emulsion_the_theme_supports', 'emulsion_boilerplate', 10, 2 );

	if ( function_exists( 'emulsion_get_var' ) ) {

		emulsion_remove_supports( 'enqueue' );
	}

	function emulsion_boilerplate( $val, $name ) {

		false === wp_style_is( 'emulsion' ) ? wp_enqueue_style( 'emulsion' ) : '';
		if ( 'enqueue' == $name ) {

			return false;
		}
		return $val;
	}

}
